Debian Bug report logs - #597932
openocd FTBFS on armel and hurd

version graph

Package: openocd; Maintainer for openocd is Uwe Hermann <uwe@debian.org>; Source for openocd is src:openocd.

Reported by: Luca Bruno <lucab@debian.org>

Date: Fri, 24 Sep 2010 11:09:01 UTC

Severity: serious

Tags: patch

Found in version openocd/0.4.0-1

Fixed in version openocd/0.4.0-1+nmu1

Done: Luca Bruno <lucab@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://lists.berlios.de/pipermail/openocd-development/2010-September/016570.html

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#597932; Package openocd. (Fri, 24 Sep 2010 11:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Bruno <lucab@debian.org>:
New Bug report received and forwarded. Copy sent to Uwe Hermann <uwe@debian.org>. (Fri, 24 Sep 2010 11:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Bruno <lucab@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openocd FTBFS on armel and hurd
Date: Fri, 24 Sep 2010 13:03:24 +0200
Package: openocd
Version: 0.4.0-1
Severity: serious

openocd currently fails to build on hurd and armel, and this fact prevented
0.4.0 from entering squeeze till now. See
https://buildd.debian.org/fetch.cgi?pkg=openocd;ver=0.4.0-1;arch=hurd-i386;stamp=1269698459
and
https://buildd.debian.org/fetch.cgi?pkg=openocd;ver=0.4.0-1;arch=armel;stamp=1283718718

As armel is a release architecture, you may consider temporarily removing
ep93xx and at91rm9200 until a proper patch is out, hoping that release team
would let it in and nothing else is broken.

Cheers, Luca



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.34-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages openocd depends on:
ii  dpkg                      1.15.8.5       Debian package management system
ii  install-info              4.13a.dfsg.1-5 Manage installed documentation in 
ii  libc6                     2.11.2-6       Embedded GNU C Library: Shared lib
ii  libftdi1                  0.18-1         Library to control and program the
ii  libusb-0.1-4              2:0.1.12-16    userspace USB programming library

openocd recommends no packages.

openocd suggests no packages.




Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#597932; Package openocd. (Sun, 26 Sep 2010 16:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Bruno <lucab@debian.org>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. (Sun, 26 Sep 2010 16:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 597932@bugs.debian.org (full text, mbox):

From: Luca Bruno <lucab@debian.org>
To: 597932@bugs.debian.org, control@bugs.debian.org
Subject: openocd FTBFS on armel and hurd
Date: Sun, 26 Sep 2010 18:38:26 +0200
[Message part 1 (text/plain, inline)]
tag 597932 + patch
thanks

Hi,
attached a complete patch to fix compilation on both armel and hurd.
I have a NMU ready, tell me if I should proceed with it or if you prefer
to handle this.

Moreover, the patch for armel should really be sent upstream.
Would you take care of this (if you are in touch with authors) or should
I do it?

Cheers, Luca

-- 
 .''`.  ** Debian GNU/Linux **  | Luca Bruno (kaeso)
: :'  :   The Universal O.S.    | lucab (AT) debian.org
`. `'`  			| GPG Key ID: 3BFB9FB3
  `-     http://www.debian.org 	| Debian GNU/Linux Developer
[openocd_0.4.0-1.1.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) patch. Request was from Luca Bruno <lucab@debian.org> to control@bugs.debian.org. (Sun, 26 Sep 2010 16:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#597932; Package openocd. (Mon, 27 Sep 2010 11:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tormod Volden <debian.tormod@gmail.com>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. (Mon, 27 Sep 2010 11:27:04 GMT) Full text and rfc822 format available.

Message #17 received at 597932@bugs.debian.org (full text, mbox):

From: Tormod Volden <debian.tormod@gmail.com>
To: Luca Bruno <lucab@debian.org>, 597932@bugs.debian.org
Subject: Re: Bug#597932: openocd FTBFS on armel and hurd
Date: Mon, 27 Sep 2010 13:25:44 +0200
On Sun, Sep 26, 2010 at 6:38 PM, Luca Bruno wrote:
>
> Moreover, the patch for armel should really be sent upstream.
> Would you take care of this (if you are in touch with authors) or should
> I do it?

Hi Luca,

I can not talk for the maintainer, but I will encourage you to submit
the patch on the upstream ML
http://openocd.git.sourceforge.net/git/gitweb.cgi?p=openocd/openocd;a=summary
but refreshed against their latest git (your register-command.diff
does not apply cleanly). Having the upstream ack will also make it
easier to push your patch through Debian.

Cheers,
Tormod




Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#597932; Package openocd. (Mon, 27 Sep 2010 20:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Bruno <lucab@debian.org>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. (Mon, 27 Sep 2010 20:06:05 GMT) Full text and rfc822 format available.

Message #22 received at 597932@bugs.debian.org (full text, mbox):

From: Luca Bruno <lucab@debian.org>
To: Tormod Volden <debian.tormod@gmail.com>
Cc: 597932@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#597932: openocd FTBFS on armel and hurd
Date: Mon, 27 Sep 2010 22:02:42 +0200
[Message part 1 (text/plain, inline)]
forwarded 597932 https://lists.berlios.de/pipermail/openocd-development/2010-September/016570.html
thanks

Tormod Volden scrisse:

> I can not talk for the maintainer, but I will encourage you to submit
> the patch on the upstream ML
> http://openocd.git.sourceforge.net/git/gitweb.cgi?p=openocd/openocd;a=summary
> but refreshed against their latest git (your register-command.diff
> does not apply cleanly). Having the upstream ack will also make it
> easier to push your patch through Debian.

You're probably right. While waiting for Uwe, I took the time to
refresh the patch and forward it upstream, so they can comment on it.
Bug status updated accordingly.

Cheers, Luca

-- 
 .''`.  ** Debian GNU/Linux **  | Luca Bruno (kaeso)
: :'  :   The Universal O.S.    | lucab (AT) debian.org
`. `'`  			| GPG Key ID: 3BFB9FB3
  `-     http://www.debian.org 	| Debian GNU/Linux Developer
[signature.asc (application/pgp-signature, attachment)]

Set Bug forwarded-to-address to 'https://lists.berlios.de/pipermail/openocd-development/2010-September/016570.html'. Request was from Luca Bruno <lucab@debian.org> to control@bugs.debian.org. (Mon, 27 Sep 2010 20:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#597932; Package openocd. (Thu, 30 Sep 2010 08:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Uwe Hermann <uwe@hermann-uwe.de>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. (Thu, 30 Sep 2010 08:03:03 GMT) Full text and rfc822 format available.

Message #29 received at 597932@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@hermann-uwe.de>
To: Luca Bruno <lucab@debian.org>, 597932@bugs.debian.org
Subject: Re: Bug#597932: openocd FTBFS on armel and hurd
Date: Thu, 30 Sep 2010 09:52:42 +0200
Hi,

On Sun, Sep 26, 2010 at 06:38:26PM +0200, Luca Bruno wrote:
> tag 597932 + patch
> thanks
> 
> Hi,
> attached a complete patch to fix compilation on both armel and hurd.
> I have a NMU ready, tell me if I should proceed with it or if you prefer
> to handle this.

Thanks a lot, feel free to NMU.


Uwe.
-- 
http://hermann-uwe.de     | http://sigrok.org
http://randomprojects.org | http://unmaintained-free-software.org




Reply sent to Luca Bruno <lucab@debian.org>:
You have taken responsibility. (Fri, 01 Oct 2010 13:51:03 GMT) Full text and rfc822 format available.

Notification sent to Luca Bruno <lucab@debian.org>:
Bug acknowledged by developer. (Fri, 01 Oct 2010 13:51:03 GMT) Full text and rfc822 format available.

Message #34 received at 597932-close@bugs.debian.org (full text, mbox):

From: Luca Bruno <lucab@debian.org>
To: 597932-close@bugs.debian.org
Subject: Bug#597932: fixed in openocd 0.4.0-1+nmu1
Date: Fri, 01 Oct 2010 13:47:24 +0000
Source: openocd
Source-Version: 0.4.0-1+nmu1

We believe that the bug you reported is fixed in the latest version of
openocd, which is due to be installed in the Debian FTP archive:

openocd_0.4.0-1+nmu1.diff.gz
  to main/o/openocd/openocd_0.4.0-1+nmu1.diff.gz
openocd_0.4.0-1+nmu1.dsc
  to main/o/openocd/openocd_0.4.0-1+nmu1.dsc
openocd_0.4.0-1+nmu1_amd64.deb
  to main/o/openocd/openocd_0.4.0-1+nmu1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 597932@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Bruno <lucab@debian.org> (supplier of updated openocd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 25 Sep 2010 20:26:48 +0200
Source: openocd
Binary: openocd
Architecture: source amd64
Version: 0.4.0-1+nmu1
Distribution: unstable
Urgency: low
Maintainer: Uwe Hermann <uwe@debian.org>
Changed-By: Luca Bruno <lucab@debian.org>
Description: 
 openocd    - Open on-chip JTAG debug solution for ARM and MIPS systems
Closes: 597932
Changes: 
 openocd (0.4.0-1+nmu1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add patch to build ep93xx and at91rm9200 on armel (Closes: #597932).
   * Disable parport, gw16012 and amtjtagaccel drivers on GNU/HURD,
     rules snippet by Pino Toscano.
Checksums-Sha1: 
 8080362be25adfb27698e7272090fbd7d84f9c9c 1218 openocd_0.4.0-1+nmu1.dsc
 891739c0b135b9499f3b4fed5e8ca051d178328b 414286 openocd_0.4.0-1+nmu1.diff.gz
 22f1e5bf363d8a92525633a5bf909ab683c45124 2706110 openocd_0.4.0-1+nmu1_amd64.deb
Checksums-Sha256: 
 66c2a605ab2d2fbcdbda2b3e02db4bdd6c4cc983c079c8b15c3180e5d2b85f43 1218 openocd_0.4.0-1+nmu1.dsc
 35ff1b97a8805ed8a4f07db55d9aadb52ccc2f8438d95ee31238037daff5d224 414286 openocd_0.4.0-1+nmu1.diff.gz
 0b59b018d8eefd18e5745ac8523bce4876be98d716409abaa9c8553a4f79df63 2706110 openocd_0.4.0-1+nmu1_amd64.deb
Files: 
 874e22671c321d3820c34de4225c2672 1218 embedded extra openocd_0.4.0-1+nmu1.dsc
 4b99bcd8326279c58005f3bc6dc951cd 414286 embedded extra openocd_0.4.0-1+nmu1.diff.gz
 712db63a4f2bb142b9183a6c72829e1f 2706110 embedded extra openocd_0.4.0-1+nmu1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyl4/gACgkQRqobajv7n7PEfwCeNkiEml2SI2nb3N3uRGB88Yti
VcEAn2fV1sSaG5HfvH0cxJt39n800x5c
=ocM6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 31 Oct 2010 07:31:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:13:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.